# Update org settings (/docs/api/account/settings_update)

Turn body storage on or off (off stops new bodies from being kept) and set how many days of call log members and keys can read (30, 90, 180 or 360).

`PUT /v1/settings`

```json
{
  "operationId": "settings_update",
  "summary": "Update org settings",
  "description": "Turn body storage on or off (off stops new bodies from being kept) and set how many days of call log members and keys can read (30, 90, 180 or 360).",
  "tags": [
    "settings"
  ],
  "security": [
    {
      "bearer": []
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "store_bodies": {
              "type": "boolean"
            },
            "log_retention_days": {
              "anyOf": [
                {
                  "type": "number",
                  "enum": [
                    30
                  ]
                },
                {
                  "type": "number",
                  "enum": [
                    90
                  ]
                },
                {
                  "type": "number",
                  "enum": [
                    180
                  ]
                },
                {
                  "type": "number",
                  "enum": [
                    360
                  ]
                }
              ]
            }
          }
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "object": {
                "type": "string",
                "enum": [
                  "settings"
                ]
              },
              "store_bodies": {
                "type": "boolean"
              },
              "log_retention_days": {
                "anyOf": [
                  {
                    "type": "number",
                    "enum": [
                      30
                    ]
                  },
                  {
                    "type": "number",
                    "enum": [
                      90
                    ]
                  },
                  {
                    "type": "number",
                    "enum": [
                      180
                    ]
                  },
                  {
                    "type": "number",
                    "enum": [
                      360
                    ]
                  }
                ]
              }
            },
            "required": [
              "object",
              "store_bodies",
              "log_retention_days"
            ]
          }
        }
      }
    },
    "default": {
      "description": "Error",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string",
                    "enum": [
                      "invalid_request",
                      "unauthorized",
                      "insufficient_balance",
                      "max_cost_exceeded",
                      "scope_denied",
                      "budget_blocked",
                      "not_found",
                      "idempotency_mismatch",
                      "invalid_meta",
                      "rate_limited",
                      "upstream_error",
                      "response_buffer_limit",
                      "provider_capacity_unavailable",
                      "grid_saturated",
                      "upstream_timeout",
                      "conflict",
                      "internal_error",
                      "account_frozen",
                      "strict_filters",
                      "plan_limit_reached",
                      "validation_failed",
                      "deadline_exceeded",
                      "cancelled"
                    ]
                  },
                  "message": {
                    "type": "string"
                  },
                  "request_id": {
                    "type": "string"
                  },
                  "call_id": {
                    "type": "string"
                  },
                  "retry_after_ms": {
                    "type": "integer",
                    "minimum": 0
                  },
                  "details": {
                    "type": "object",
                    "additionalProperties": {}
                  }
                },
                "required": [
                  "code",
                  "message"
                ]
              }
            },
            "required": [
              "error"
            ]
          }
        }
      }
    }
  }
}
```
